<?php


namespace App\ViewModels\Consulta\ConsultaUpdateViewModel;


use App\Utils\Collections\GeneralCollection;

class RespostaEscolhaOpcao extends RespostaFormularioUpdateAbstract
{
    public static function builder(): RespostaEscolhaOpcaoBuilder
    {
        return new RespostaEscolhaOpcaoBuilder();
    }

    /**
     * @return GeneralCollection
     */
    public function getResposta(): GeneralCollection
    {
        return $this->resposta;
    }

    /**
     * @param GeneralCollection $resposta
     */
    public function setResposta(GeneralCollection $resposta): void
    {
        $this->resposta = $resposta;
    }

}